View Issue Details

IDProjectCategoryView StatusLast Update
0000514WishesEditorpublic2011-12-22 12:15
ReporterPxAssigned To2useven10 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0000514: Изменение поведения ctrl+alt+shift в редакторе
DescriptionНа данный момент данное сочетание на панелях/во вьюере/редакторе показывает консольный вывод, а хотелось бы чтобы сочетание ctrl+alt+shift+стрелки в редакторе совмещало блочное выделение alt+shift+стрелки и "быстрое" ctrl+shift+стрелки
TagsNo tags attached.
Build2296

Relationships

related to 0001614 closedvskirdin Wishes Построчный скроллинг в режиме far.exe /w 
related to 0001937 closed2useven10 Far Manager Не работают некоторые комбинации клавиш в режиме вертикального выделения. 

Activities

HaRT

2008-03-27 06:33

reporter   bugnote:0001436

Только надо проследить, чтобы TechInfo #68 ("CASRule") не отвалилось.

vskirdin

2008-03-27 09:09

administrator   bugnote:0001437

Может имеет смысл довести до ума Ctrl-Alt-стрелки?
Сейчас Ctrl-Alt-Left/Right только по строке бегает "быстро". Имеет смысл добавить Ctrl-Alt-Up/Down (по строкам) и этот тикет можно закрывать :-)

2008-03-27 10:57

 

big5playlist.cue (593 bytes)

Px

2008-03-27 11:25

reporter   bugnote:0001438

/*Тихо матюкается, перенабирая пост с начала....*/
Я, видимо, пропустил момент, когда для выделения блока стало достаточно Alt+стрелки, без Shift %)
В результате, практически вся функциональность доступна, надо только добавить стрелки, плюс сразу можно добавить стрелки и к Ctrl-Shift
В текущем варианте можно сначала выделить блок по вертикали, а затем уже зажав Ctrl "быстро" пройти по последней строке, но есть и миниграбля - если необходимый размер выделения больше чем длина последней строки, выделять остаток прийдётся "медленно". Может возможно докрутить какую-нибудь простую логику, которая будет смотреть есть ли в выделенном блоке более длинная строка, чем текущая, и позволять из конца "короткой" строки перескочить на позицию длинной?
(Ну и в текущем варианте можно "завернуть" выделение)(зачёркнуто)У текущего варианта поймал уже 2 бага, если побаловаться с приложенным файлом может и ещё найдутся: берём файл, переходим на 16-ую строку, 26-ая позиция, зажав Alt переходим на 3 строки вверх, а дальше если мы с Ctrl начнём перемещать выделение влево, то размер выделения будет меньше необходимого, а если сначала стрелкой влево "дойти" до 20-ой позиции, а потом попытаться с помощью Ctrl+вправо снять выделение, то ничего не выйдет

Kildor

2008-03-27 13:42

reporter   bugnote:0001439

лично я сразу же поймал багу с AltShiftArrows
AltRight — выделение есть.
после чего AltShiftRight — выделение не изменяется.
AltShiftUp|Down — выделение восстанавливается.
Если после AltShiftRight подвигать AltRight|Left, то выделение изменяется, несвязано с курсором.

Если при помощи AltShiftArrow уйти в выделение, и двигать там AltArrow, получается вообще несусветный ужас.

Px

2008-03-27 15:35

reporter   bugnote:0001442

>лично я сразу же поймал багу с AltShiftArrows
У меня на 1.71.0.2315 (рабочая) и 1.71.0.2335 (домашняя) не повторяется, переход между Alt и Shift-Alt совершенно прозрачен

Kildor

2008-03-27 23:30

reporter   bugnote:0001444

Да, проблема была в
Edit Crutch FAR Manager plugin version 2.7, который вешал свои действия на этот хоткей. Впрочем, странной работе фара с выделениями это не противоречит.

Denis

2008-03-29 15:12

reporter   bugnote:0001448

Ещё по поводу поведения. Far запущен без плагинов. Блоки НЕ постоянные.
Начинает выделение текста по CtrlShiftRight. Теперь копируем в clipboard используя CtrlIns. Если теперь попытаться продолжить выделение текста с использованием CtrlShiftRight - то ничего не получится, старое выделение сбросится и начнётся новое с текущего места. Такое поведение не совсем логичное - так как перемещения по тексту не было, то логично было бы продолжать выделение.

2useven10

2011-11-24 16:29

developer   bugnote:0007992

Last edited: 2011-11-24 18:03

View 3 revisions

Ctrl-Shift-Up/Down == Shift-Up/Down сделать можно.
А Ctrl-Alt-Up/Down заюзаны для скроллирования экранного буфера...
для 'far /w' скорее всего будет коллизия.

Поведение Ctrl-Alt-Left/Right за концом строки пожалуй можно сделать более адекватным.

DrKnS

2011-11-25 10:25

administrator   bugnote:0007993

> А Ctrl-Alt-Up/Down заюзаны для скроллирования экранного буфера...
> для 'far /w' скорее всего будет коллизия.

На CtrlAltHome/End уже коллизии.

2useven10

2011-12-06 17:04

developer   bugnote:0008065

test: http://mini-gnu.googlecode.com/files/Far3-Mantis514-32.7z

старался сделать поведение 'логичным' но это очень субъективно, так что конструктивная критика и конечно баг репорты приветствуются...

что сделано (может быть не всё вспомнил...):
1) скролл консольного буфера для 'far /w' работает только если горит ScrollLock
2) Ctrl-Shift/Alt-Up/Down == Shift/Alt-Up/Down
3) Копирование в клипборд не снимает выделение
4) 'Заворот' строк для [Ctrl-]Shift-Left/Right
5) Перемещение по Ctrl-Shift/Alt-Left/Right такое же как и по Ctrrl-Left/Right, кроме особых случаев -- переход через 'якорь' сначала снимает выделение; переход из-за пределов строки влево через конец строки
7) За пределами строки Ctrl-Alt-Right == Alt-Right == сдвиг вправо на 1 позицию

vskirdin

2011-12-06 17:57

administrator   bugnote:0008066

> 1) скролл консольного буфера для 'far /w' работает только если горит ScrollLock
главное потом людям не давать дебажную версию :-)
в ней ScrollLock - сигнал к логированию.
правда... логирование окручено макросами, так что может и ничего не будет (хотя мной компиленный фар будет срать немеряно :-))

2useven10

2011-12-06 23:00

developer   bugnote:0008067

Last edited: 2011-12-06 23:01

View 3 revisions

Ну это надо скомпилить фар с опцией SYSLOG, запустить 'far /w' и скроллировать буфер. Те кто знает что это всё значит, с проблемой справятся, а остальные вряд ли на эти грабли наступят.

2useven10

2011-12-07 13:01

developer   bugnote:0008068

build 2286

Px

2011-12-07 13:13

reporter   bugnote:0008070

Можно финальный бинарник?

2useven10

2011-12-07 13:18

developer   bugnote:0008071

http://mini-gnu.googlecode.com/files/Far3-Mantis514-32-final.7z

Px

2011-12-07 14:34

reporter   bugnote:0008072

Можно к нему lng-файлик? Не могу найти где взять

2useven10

2011-12-07 15:16

developer   bugnote:0008073

в первой ссылке. они не изменились.

Px

2011-12-07 15:26

reporter   bugnote:0008075

Ctrl-Alt-Left/Right не работают в терминале (rdp)

fibre

2011-12-07 18:09

reporter   bugnote:0008076

обидно, что теперь необходимо включать ScrollLock для прокрутки буфера не только в редакторе, но и в панелях (в панелях это требуется регулярно, а в редакторе - почти никогда).
можно ли сделать, чтобы в панелях прокрутка буфера не зависела от состояния ScrollLock?

DrKnS

2011-12-07 18:36

administrator   bugnote:0008077

а что, совсем нельзя было действия по разным кнопкам разнести?

Px

2011-12-07 18:41

reporter   bugnote:0008078

А я предлагал сразу прокрутку только со scroll lock делать...

fibre

2011-12-07 18:43

reporter   bugnote:0008079

>А я предлагал сразу прокрутку только со scroll lock делать...
я видел (вроде бы) ноуты, у которых нет кнопки Scroll lock, а прокрутка буфера нужна.

2useven10

2011-12-07 18:45

developer   bugnote:0008080

Last edited: 2011-12-07 18:46

View 2 revisions

Кнопок мало :)
Лучшие варианты приветствуются.
Собственно я ожидал подобного фидбэка, когда выкладывал тестовый бинарник...

Px

2011-12-07 18:47

reporter   bugnote:0008081

>я видел (вроде бы) ноуты, у которых нет кнопки Scroll lock, а прокрутка буфера нужна.
Что, даже через Fn не включался?

fibre

2011-12-07 18:50

reporter   bugnote:0008082

может, AltShiftPgUp и AltShiftPgDn? в панелях они свободны
в редакторе заняты, но не могу придумать, зачем в редакторе нужна прокрутка буфера.

>Px
>Что, даже через Fn не включался?
не помню.. я понимаю, что есть всякие хитрые способы получить Scroll Lock (XKeys или глобальный ремап кнопок), но как-то это слишком уж :)

DrKnS

2011-12-07 18:52

administrator   bugnote:0008083

> я видел (вроде бы) ноуты, у которых нет кнопки Scroll lock, а прокрутка буфера нужна.

пуск - выполнить - osk

> Лучшие варианты приветствуются.

Ну вообще в manager.cpp эти клавиши помечены комментарием // <Удалить после появления макрофункции Scroll>
Функция уже есть, так что тоже вариант.

2useven10

2011-12-07 20:54

developer   bugnote:0008084

Last edited: 2011-12-07 21:10

View 3 revisions

Предлагаю так:
для редактора (вьювера?)- запретить скролл, иначе - разрешить.
на скроллок не смотреть
???

2useven10

2011-12-08 00:10

developer   bugnote:0008087

build 2289

Px

2011-12-08 00:40

reporter   bugnote:0008088

"Ctrl-Alt-Left/Right не работают в терминале (rdp)"

2useven10

2011-12-08 00:52

developer   bugnote:0008090

Last edited: 2011-12-08 00:55

View 2 revisions

с этим в рэдмонт.
спросите гугл: rdp "Ctrl-Alt-Left"

Px

2011-12-08 01:08

reporter   bugnote:0008091

А, сорри, вопрос снят :)

2useven10

2011-12-13 20:54

developer   bugnote:0008144

Last edited: 2011-12-13 22:27

View 2 revisions

2296 (zg)

-4) 'Заворот' строк для [Ctrl-]Shift-Left/Right
-5) Перемещение по Ctrl-Shift/Alt-Left/Right такое же как и по Ctrrl-Left/Right,
-7) За пределами строки Ctrl-Alt-Right == Alt-Right == сдвиг вправо на 1 позицию

моё представление о 'логичном' поведении выделения не нашло понимания...

Px

2011-12-13 21:14

reporter   bugnote:0008145

/*Глядя на автора отката*/
Ну, тут ничего удивительного, ок, подождём...

2useven10

2011-12-16 19:12

developer   bugnote:0008166

так...
1. пожалуй надо принести извинения возмущённым.
но я честно не знал, что наступаю на любимого плюшевого мишку :)
2. я уже нашёл (может не все) дискуссии на эту тему,
как и тикет в котором это можно будет продолжить (умолчания останутся)
3. zg откатил меньше, чем собирался? (см. ниже)

этот инц наверное можно закрыть, то что просили изначально сделано
(если откат не продолжится :)

Px

2011-12-16 19:15

reporter   bugnote:0008167

Текущий билд можно?

2useven10

2011-12-19 00:00

developer   bugnote:0008168

http://mini-gnu.googlecode.com/files/build_2301.7z

Px

2011-12-20 17:35

reporter   bugnote:0008169

Оба описанных бага с выделением на месте
"берём файл, переходим на 16-ую строку, 26-ая позиция, зажав Alt переходим на 3 строки вверх, а дальше если мы с Ctrl начнём перемещать выделение влево, то размер выделения будет меньше необходимого, а если сначала стрелкой влево "дойти" до 20-ой позиции, а потом попытаться с помощью Ctrl+вправо снять выделение, то ничего не выйдет"

2useven10

2011-12-20 17:47

developer   bugnote:0008170

эти ...свойства выделения я собираюсь менять, но не здесь.
скорее всего это будет в 0001082, вместе с синхролнизацией поведения
Ctrl-Left/Right -- Ctrl-Shift-Left/Right и будет включаться по параметру (новому)
конфигурации редактора.

Px

2011-12-20 18:27

reporter   bugnote:0008171

Тогда я подожду изменения там, и тогда закрою тикет :)
Какое решение по
3) Копирование в клипборд не снимает выделение
?

2useven10

2011-12-20 18:49

developer   bugnote:0008172

Сейчас не должно сниматься. отменены: 4,5,7 ( возможно zg это пропустил :)

Px

2011-12-20 18:52

reporter   bugnote:0008173

На выложенном билде снимается, я проверил

2useven10

2011-12-20 19:27

developer   bugnote:0008174

а у меня не снимается...

Px

2011-12-22 01:09

reporter   bugnote:0008179

Берём приложенный файл, переходим на вторую строку, выделяем два слова с помощью ctrl+shift, нажимаем ctrl+ins для копирования в буфер, пытаемся продолжить выделение -> оно сбросилось

2useven10

2011-12-22 02:13

developer   bugnote:0008181

без плагинов и макросов?
давайте настройки...

Px

2011-12-22 02:20

reporter   bugnote:0008182

Ага, таки макрос, похоже при каком-то прошлом тестовом запуске импортировался...

Issue History

Date Modified Username Field Change
2008-03-26 19:07 Px New Issue
2008-03-27 06:33 HaRT Note Added: 0001436
2008-03-27 09:09 vskirdin Note Added: 0001437
2008-03-27 10:57 Px File Added: big5playlist.cue
2008-03-27 11:25 Px Note Added: 0001438
2008-03-27 13:42 Kildor Note Added: 0001439
2008-03-27 15:35 Px Note Added: 0001442
2008-03-27 23:30 Kildor Note Added: 0001444
2008-03-29 15:12 Denis Note Added: 0001448
2011-11-24 16:29 2useven10 Note Added: 0007992
2011-11-24 18:03 2useven10 Note Edited: 0007992 View Revisions
2011-11-24 18:03 2useven10 Note Edited: 0007992 View Revisions
2011-11-25 10:25 DrKnS Note Added: 0007993
2011-12-06 17:04 2useven10 Note Added: 0008065
2011-12-06 17:57 vskirdin Note Added: 0008066
2011-12-06 23:00 2useven10 Note Added: 0008067
2011-12-06 23:01 2useven10 Note Edited: 0008067 View Revisions
2011-12-06 23:01 2useven10 Note Edited: 0008067 View Revisions
2011-12-07 13:01 2useven10 Note Added: 0008068
2011-12-07 13:01 2useven10 Assigned To => 2useven10
2011-12-07 13:01 2useven10 Status new => feedback
2011-12-07 13:13 Px Note Added: 0008070
2011-12-07 13:13 Px Status feedback => assigned
2011-12-07 13:18 2useven10 Note Added: 0008071
2011-12-07 14:34 Px Note Added: 0008072
2011-12-07 15:16 2useven10 Note Added: 0008073
2011-12-07 15:26 Px Note Added: 0008075
2011-12-07 18:09 fibre Note Added: 0008076
2011-12-07 18:36 DrKnS Note Added: 0008077
2011-12-07 18:41 Px Note Added: 0008078
2011-12-07 18:43 fibre Note Added: 0008079
2011-12-07 18:45 2useven10 Note Added: 0008080
2011-12-07 18:46 2useven10 Note Edited: 0008080 View Revisions
2011-12-07 18:47 Px Note Added: 0008081
2011-12-07 18:50 fibre Note Added: 0008082
2011-12-07 18:52 DrKnS Note Added: 0008083
2011-12-07 20:54 2useven10 Note Added: 0008084
2011-12-07 20:58 2useven10 Note Edited: 0008084 View Revisions
2011-12-07 21:10 2useven10 Note Edited: 0008084 View Revisions
2011-12-08 00:10 2useven10 Note Added: 0008087
2011-12-08 00:10 2useven10 Status assigned => feedback
2011-12-08 00:40 Px Note Added: 0008088
2011-12-08 00:40 Px Status feedback => assigned
2011-12-08 00:52 2useven10 Note Added: 0008090
2011-12-08 00:55 2useven10 Note Edited: 0008090 View Revisions
2011-12-08 01:08 Px Note Added: 0008091
2011-12-08 01:08 Px Status assigned => resolved
2011-12-08 14:20 2useven10 Build => 2289
2011-12-08 14:20 2useven10 Status resolved => closed
2011-12-08 14:20 2useven10 Resolution open => fixed
2011-12-08 14:20 2useven10 Fixed in Version => 3.0
2011-12-08 15:04 2useven10 Relationship added related to 0001614
2011-12-08 15:42 2useven10 Relationship added related to 0001937
2011-12-13 20:54 2useven10 Note Added: 0008144
2011-12-13 21:14 Px Note Added: 0008145
2011-12-13 21:14 Px Status closed => feedback
2011-12-13 21:14 Px Resolution fixed => reopened
2011-12-13 21:14 Px Status feedback => assigned
2011-12-13 22:27 2useven10 Note Edited: 0008144 View Revisions
2011-12-16 19:12 2useven10 Note Added: 0008166
2011-12-16 19:15 Px Note Added: 0008167
2011-12-19 00:00 2useven10 Note Added: 0008168
2011-12-20 17:35 Px Note Added: 0008169
2011-12-20 17:47 2useven10 Note Added: 0008170
2011-12-20 18:27 Px Note Added: 0008171
2011-12-20 18:49 2useven10 Note Added: 0008172
2011-12-20 18:52 Px Note Added: 0008173
2011-12-20 19:27 2useven10 Note Added: 0008174
2011-12-22 01:09 Px Note Added: 0008179
2011-12-22 02:13 2useven10 Note Added: 0008181
2011-12-22 02:20 Px Note Added: 0008182
2011-12-22 02:20 Px Status assigned => resolved
2011-12-22 12:14 2useven10 Build 2289 => 2296
2011-12-22 12:14 2useven10 Status resolved => closed
2011-12-22 12:15 2useven10 Resolution reopened => fixed